For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
      • Studio API information
      • GETList Studio Projects
      • POSTUpdate Studio Project
      • GETGet Studio Project
      • POSTCreate Studio Project
      • DELDelete Studio Project
      • POSTConvert Studio Project
      • POSTUpdate Studio Project Content
      • GETList Studio Project Snapshots
      • GETGet Project Muted Tracks
      • STREAMStream Studio Project Audio
      • POSTStream Archive With Studio Project Audio
      • GETList Chapters
      • GETGet Chapter
      • POSTCreate Chapter
      • POSTUpdate Chapter
      • DELDelete Chapter
      • POSTConvert Chapter
      • GETList Chapter Snapshots
      • STREAMStream Chapter Audio
      • POSTCreate Pronunciation Dictionaries
      • POSTCreate Podcast
      • GETGet Chapter Snapshot
      • GETGet Project Snapshot
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenCreativeStudio

Stream Studio Project Audio

POST
/v1/studio/projects/:project_id/snapshots/:project_snapshot_id/stream
POST
/v1/studio/projects/:project_id/snapshots/:project_snapshot_id/stream
$curl -X POST https://api.elevenlabs.io/v1/studio/projects/project_id/snapshots/project_snapshot_id/stream \
> -H "Content-Type: application/json" \
> -d '{}'
Stream the audio from a Studio project snapshot.
Was this page helpful?
Previous

Stream Archive With Studio Project Audio

Next
Built with

Path parameters

project_idstringRequired

The ID of the project to be used. You can use the List projects endpoint to list all the available projects.

project_snapshot_idstringRequired
The ID of the Studio project snapshot.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
convert_to_mpegbooleanOptionalDefaults to false
Whether to convert the audio to mpeg format.

Response

Successful Response

Errors

422
Unprocessable Entity Error